//+------------------------------------------------------------------+
//|                                                    SupportEX.mq4 |
//|                                                    .. |
//|                                                 candyex@gmail.com|
//+------------------------------------------------------------------+
#property copyright ".."
#property link      "candyex@gmail.com"

#property indicator_chart_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
extern int  = 10;
extern int  = 5;

datetime TimeBegin;
datetime TimeEnd;
int m;
int d;
int tD=0;
int D=1;
int tW=0;
int W=1;


string   D0 = " DO ";
string   DC = " DC ";
string   DH = " DH ";
string   DL = " DL ";

string   W0 = " W0 ";
string   WC = " WC ";
string   WH = " WH ";
string   WL = " WL ";

string   MN0 = " MN0 ";
string   MNC = " MNC ";
string   MNH = " MNH ";
string   MNL = " MNL ";


//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{

         double MN_Open  =iOpen(NULL,PERIOD_MN1,1);
         double MN_Close =iClose(NULL,PERIOD_MN1,1);
         double MN_High  =iHigh(NULL,PERIOD_MN1,1);
         double MN_Low   =iLow(NULL,PERIOD_MN1,1);
//+------------------------------------------------------------------+
//|                                                        |
//+------------------------------------------------------------------+
     
     for (int d=0; d<*5; d++)
         {
         
          if (tD==*5)
               continue;
            else
             {
            
               TimeBegin = iTime(NULL,PERIOD_D1,tD);
               TimeEnd = (TimeBegin + 86400);
         
               double D1_Open  =iOpen(NULL,PERIOD_D1,D);
               double D1_Close =iClose(NULL,PERIOD_D1,D);
               double D1_High  =iHigh(NULL,PERIOD_D1,D);
               double D1_Low   =iLow(NULL,PERIOD_D1,D);

               ObjectCreate (D0+d,OBJ_TREND, 0, 0,0, 0,0,0,0);
               ObjectSet (D0+d,OBJPROP_RAY,false);
               ObjectSet (D0+d,OBJPROP_TIME1, TimeBegin);
               ObjectSet (D0+d,OBJPROP_PRICE1, D1_Open);
               ObjectSet (D0+d,OBJPROP_TIME2, TimeEnd);
               ObjectSet (D0+d,OBJPROP_PRICE2, D1_Open);
               ObjectSet (D0+d,OBJPROP_COLOR,Green); //   
               ObjectSet (D0+d,OBJPROP_WIDTH,1); //      3 
               ObjectSet (D0+d,OBJPROP_STYLE,STYLE_SOLID); //     
               ObjectSetText(D0+d,D0+DoubleToStr(D1_Open,),10);  
         
               ObjectCreate (DC+d, OBJ_TREND, 0, 0,0, 0,0,0,0);
               ObjectSet (DC+d,OBJPROP_RAY,false);
               ObjectSet (DC+d, OBJPROP_TIME1,TimeBegin);
               ObjectSet (DC+d, OBJPROP_PRICE1, D1_Close);
               ObjectSet (DC+d, OBJPROP_TIME2, TimeEnd);
               ObjectSet (DC+d, OBJPROP_PRICE2, D1_Close);
               ObjectSet (DC+d,OBJPROP_COLOR,Green); //   
               ObjectSet (DC+d,OBJPROP_WIDTH,3); //      3 
               ObjectSet (DC+d,OBJPROP_STYLE,STYLE_SOLID); //     
               ObjectSetText(DC+d,DC+DoubleToStr(D1_Close,),10);   
         
               ObjectCreate (DH+d, OBJ_TREND, 0, 0,0, 0,0,0,0);
               ObjectSet (DH+d,OBJPROP_RAY,false);
               ObjectSet (DH+d, OBJPROP_TIME1, TimeBegin);
               ObjectSet (DH+d, OBJPROP_PRICE1, D1_High);
               ObjectSet (DH+d, OBJPROP_TIME2, TimeEnd);
               ObjectSet (DH+d, OBJPROP_PRICE2, D1_High);
               ObjectSet (DH+d,OBJPROP_COLOR,Green); //   
               ObjectSet (DH+d,OBJPROP_WIDTH,1); //      3 
               ObjectSet (DH+d,OBJPROP_STYLE,STYLE_DOT); //       
               ObjectSetText(DH+d,DH+DoubleToStr(D1_High,),10);  
         
               ObjectCreate (DL+d, OBJ_TREND, 0, 0,0, 0,0,0,0);
               ObjectSet (DL+d,OBJPROP_RAY,false);
               ObjectSet (DL+d, OBJPROP_TIME1,TimeBegin);
               ObjectSet (DL+d, OBJPROP_PRICE1, D1_Low);
               ObjectSet (DL+d, OBJPROP_TIME2, TimeEnd);
               ObjectSet (DL+d, OBJPROP_PRICE2, D1_Low);
               ObjectSet (DL+d,OBJPROP_COLOR,Green); //   
               ObjectSet (DL+d,OBJPROP_WIDTH,1); //      3 
               ObjectSet (DL+d,OBJPROP_STYLE,STYLE_DOT); //     
               ObjectSetText(DL+d,DL+DoubleToStr(D1_Low,),10);  
         
               tD++;
               D++;
            }
         }
//+------------------------------------------------------------------+
//|                                                      |
//+------------------------------------------------------------------+
      
     for (int w=0; w<; w++)
         {
         
          if (tW==) continue;
            else
             {
        
               TimeBegin = iTime(NULL,PERIOD_W1,tW);
               TimeEnd = (TimeBegin + 518400);
         
               double W1_Open  =iOpen(NULL,PERIOD_W1,W);
               double W1_Close =iClose(NULL,PERIOD_W1,W);
               double W1_High  =iHigh(NULL,PERIOD_W1,W);
               double W1_Low   =iLow(NULL,PERIOD_W1,W);
         
               ObjectCreate (W0+w, OBJ_TREND, 0, 0,0, 0,0,0,0);
               ObjectSet (W0+w,OBJPROP_RAY,false);
               ObjectSet (W0+w, OBJPROP_TIME1, TimeBegin);
               ObjectSet (W0+w, OBJPROP_PRICE1, W1_Open);
               ObjectSet (W0+w, OBJPROP_TIME2, TimeEnd);
               ObjectSet (W0+w, OBJPROP_PRICE2, W1_Open);
               ObjectSet (W0+w,OBJPROP_COLOR,Orange); //   
               ObjectSet (W0+w,OBJPROP_WIDTH,1); //      3 
               ObjectSet (W0+w,OBJPROP_STYLE,STYLE_SOLID); //     
               ObjectSetText(W0+w,"                  "+W0+DoubleToStr(W1_Open,),10);   
         
               ObjectCreate (WC+w, OBJ_TREND, 0, 0,0, 0,0,0,0);
               ObjectSet (WC+w,OBJPROP_RAY,false);
               ObjectSet (WC+w, OBJPROP_TIME1, TimeBegin);
               ObjectSet (WC+w, OBJPROP_PRICE1, W1_Close);
               ObjectSet (WC+w, OBJPROP_TIME2, TimeEnd);
               ObjectSet (WC+w, OBJPROP_PRICE2, W1_Close);
               ObjectSet (WC+w,OBJPROP_COLOR,Orange); //   
               ObjectSet (WC+w,OBJPROP_WIDTH,3); //      3 
               ObjectSet (WC+w,OBJPROP_STYLE,STYLE_SOLID); //     
               ObjectSetText(WC+w,"                  "+WC+DoubleToStr(W1_Close,),20);  
         
               ObjectCreate (WH+w, OBJ_TREND, 0, 0,0, 0,0,0,0);
               ObjectSet (WH+w,OBJPROP_RAY,false);
               ObjectSet (WH+w, OBJPROP_TIME1, TimeBegin);
               ObjectSet (WH+w, OBJPROP_PRICE1, W1_High);
               ObjectSet (WH+w, OBJPROP_TIME2, TimeEnd);
               ObjectSet (WH+w, OBJPROP_PRICE2, W1_High);
               ObjectSet (WH+w,OBJPROP_COLOR,DarkOrange); //   
               ObjectSet (WH+w,OBJPROP_WIDTH,1); //      3 
               ObjectSet (WH+w,OBJPROP_STYLE,STYLE_DOT); //       
               ObjectSetText(WH+w,"                  "+WH+DoubleToStr(W1_High,),10); 
         
               ObjectCreate (WL+w, OBJ_TREND, 0, 0,0, 0,0,0,0);
               ObjectSet (WL+w,OBJPROP_RAY,false);
               ObjectSet (WL+w, OBJPROP_TIME1,TimeBegin);
               ObjectSet (WL+w, OBJPROP_PRICE1, W1_Low);
               ObjectSet (WL+w, OBJPROP_TIME2, TimeEnd);
               ObjectSet (WL+w, OBJPROP_PRICE2, W1_Low);
               ObjectSet (WL+w,OBJPROP_COLOR,DarkOrange); //   
               ObjectSet (WL+w,OBJPROP_WIDTH,1); //      3 
               ObjectSet (WL+w,OBJPROP_STYLE,STYLE_DOT); //     
               ObjectSetText(WL+w,"                  "+WL+DoubleToStr(W1_Low,),10); 
         
               tW++;
               W++; 
            }
         }
//+------------------------------------------------------------------+
//|                                                       |
//+------------------------------------------------------------------+
         TimeBegin = iTime(NULL,PERIOD_MN1,0);
         m=TimeMonth(TimeCurrent());
            if (m==1) d=31;
            if (m==2) d=28;
            if (m==3) d=31;
            if (m==4) d=30;
            if (m==5) d=31;
            if (m==6) d=30;
            if (m==7) d=31;
            if (m==8) d=31;
            if (m==9) d=30;
            if (m==10) d=31;
            if (m==11) d=30;
            if (m==12) d=31;
         TimeEnd = (TimeBegin + 86400*d);
                           
         ObjectCreate (MN0, OBJ_TREND, 0, 0,0, 0,0,0,0);
         ObjectSet (MN0,OBJPROP_RAY,false);
         ObjectSet (MN0, OBJPROP_TIME1, TimeBegin);
         ObjectSet (MN0, OBJPROP_PRICE1, MN_Open);
         ObjectSet (MN0, OBJPROP_TIME2, TimeEnd);
         ObjectSet (MN0, OBJPROP_PRICE2, MN_Open);
         ObjectSet (MN0,OBJPROP_COLOR,Red); //   
         ObjectSet (MN0,OBJPROP_WIDTH,1); //      3 
         ObjectSet (MN0,OBJPROP_STYLE,STYLE_SOLID); //     
         ObjectSetText(MN0,"                                   "+MN0+DoubleToStr(MN_Open,),10);   
         
         ObjectCreate (MNC, OBJ_TREND, 0, 0,0, 0,0,0,0);
         ObjectSet (MNC,OBJPROP_RAY,false);
         ObjectSet (MNC, OBJPROP_TIME1, TimeBegin);
         ObjectSet (MNC, OBJPROP_PRICE1, MN_Close);
         ObjectSet (MNC, OBJPROP_TIME2, TimeEnd);
         ObjectSet (MNC, OBJPROP_PRICE2, MN_Close);
         ObjectSet (MNC,OBJPROP_COLOR,Red); //   
         ObjectSet (MNC,OBJPROP_WIDTH,3); //      3 
         ObjectSet (MNC,OBJPROP_STYLE,STYLE_SOLID); //      
         ObjectSetText(MNC,"                                   "+MNC+DoubleToStr(MN_Close,),10);
         
         ObjectCreate (MNH, OBJ_TREND, 0, 0,0, 0,0,0,0);
         ObjectSet (MNH,OBJPROP_RAY,false);
         ObjectSet (MNH, OBJPROP_TIME1, TimeBegin);
         ObjectSet (MNH, OBJPROP_PRICE1, MN_High);
         ObjectSet (MNH, OBJPROP_TIME2, TimeEnd);
         ObjectSet (MNH, OBJPROP_PRICE2, MN_High);
         ObjectSet (MNH,OBJPROP_COLOR,Red); //   
         ObjectSet (MNH,OBJPROP_WIDTH,1); //      3 
         ObjectSet (MNH,OBJPROP_STYLE,STYLE_DOT); //       
         ObjectSetText(MNH,"                                   "+MNH+DoubleToStr(MN_High,),10); 
         
         ObjectCreate (MNL, OBJ_TREND, 0, 0,0, 0,0,0,0);
         ObjectSet (MNL,OBJPROP_RAY,false);
         ObjectSet (MNL, OBJPROP_TIME1, TimeBegin);
         ObjectSet (MNL, OBJPROP_PRICE1, MN_Low);
         ObjectSet (MNL, OBJPROP_TIME2, TimeEnd);
         ObjectSet (MNL, OBJPROP_PRICE2, MN_Low);
         ObjectSet (MNL,OBJPROP_COLOR,Red); //   
         ObjectSet (MNL,OBJPROP_WIDTH,1); //      3 
         ObjectSet (MNL,OBJPROP_STYLE,STYLE_DOT); //     
         ObjectSetText(MNL,"                                   "+MNL+DoubleToStr(MN_Low,),10); 


   
   return;
}
//+------------------------------------------------------------------+